Skip to main content
`Ctrl`+`K`

# TSMonitorLGCtxSetDisplayVariables

Sets the variables that are to be display in the monitor

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorLGCtxSetDisplayVariables(TSMonitorLGCtx ctx, const char *const *displaynames)

Collective

## Input Parameters

- ctx - the `TSMonitorLG` context

- displaynames - the names of the components, final string must be `NULL`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSMonitorLGSetVariableNames()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages